メインコンテンツへスキップ
POST
/
v1
/
responses
curl --request POST \
  --url https://apiany.ai/v1/responses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "gpt-5.5",
  "input": "この API 設計をレビューし、主なリスクを列挙してください。",
  "reasoning": {
    "effort": "high",
    "summary": "auto"
  },
  "text": {
    "verbosity": "medium"
  }
}
'
{
  "id": "<string>",
  "object": "response",
  "status": "<string>",
  "model": "<string>",
  "output": [
    {}
  ],
  "created_at": 123,
  "output_text": "<string>",
  "usage": {
    "prompt_tokens": 123,
    "completion_tokens": 123,
    "total_tokens": 123,
    "input_tokens": 123,
    "output_tokens": 123,
    "cached_input_tokens": 123
  }
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

ボディ

application/json
model
string
必須
:

"gpt-5.5"

input
必須

Responses の入力。文字列、または message / tool-result item の配列を指定できます。

instructions
string

システムまたは開発者向けの指示。

max_output_tokens
integer

最大出力トークン数。

必須範囲: x >= 1
temperature
number
必須範囲: 0 <= x <= 2
top_p
number
必須範囲: 0 <= x <= 1
reasoning
object
text
object
tools
object[]

Responses tools。function tools と web_search_preview などの組み込みツールを含みます。

tool_choice
stream
boolean

true の場合、OpenAI Responses SSE イベントを返します。

metadata
object

レスポンス

OpenAI-compatible Responses response.

id
string
必須
object
string
必須
:

"response"

status
string
必須
model
string
必須
output
object[]
必須
created_at
integer
output_text
string
usage
object